\tabcolsep=0.11cm
\begin{longtable}{|P{10mm}|P{10mm}P{10mm}P{10mm}|P{10mm}P{10mm}P{10mm}|P{10mm}P{10mm}P{10mm}P{10mm}|P{10mm}|}
    \toprule\bfseries № &\bfseries $a_1$ &\bfseries $a_2$ &\bfseries $a_3$ &\bfseries $b_1$ &\bfseries $b_2$ &\bfseries $b_3$ &\bfseries $c_0$ &\bfseries $c_1$ &\bfseries $c_2$ &\bfseries $c_3$ &\bfseries V \\\midrule
    \csvreader[
        late after line=\\\hline,
        late after last line=\\\bottomrule  
        % before reading={\catcode`\#=12},after reading={\catcode`\#=6}
    ]{resource/boolTable.csv}{1=\nn, 2=\ao, 3=\at, 4=\af, 5=\bo, 6=\bt, 7=\bf, 8=\cz, 9=\co, 10=\ct, 11=\cf, 12=\v}{\nn & \ao & \at & \af & \bo & \bt & \bf & \cz & \co & \ct & \cf & \v} 
\end{longtable}